Bug 138430 - Bullets and Numbering toolbar dropdown list and dialog miss scroll bar
Summary: Bullets and Numbering toolbar dropdown list and dialog miss scroll bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: All All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-23 15:11 UTC by Kevin Suo
Modified: 2020-11-25 13:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2020-11-23 15:11:07 UTC
Previously there was a vertical scrollbar in the Bullets and Numbering toolbar dropdown list. However, in newer versions the scrollbar has gone.

Steps to Reproduce:

1. Click on the Bullets or Numbering toolbar icon. 
-> Observe that there is only 8 numbering styles, without a vertical scroll bar.

2. Click on "More Numbering", now the Bullets and Numbering dialog opens.
-> Observe that there is no vertical scroll bar in either of the tabs.
 

Expected Result:

There should be a vertical scrollbar in the toolbar dropdown and the bullets and numbering dialog. The pre-defined lists in i18npool/source/localedata/data xml files for the user's locale should all shown in this dropdown list or the dialog.

For example, for zh-CN we defined may useful numbering levels in section LC_NumberingLevel. However in the current versions only 8 is shown.
Comment 1 Kevin Suo 2020-11-23 15:16:50 UTC
Bibisected to range:
a86a2a1c1ceb7203857d4317913c5b1bb9feb4aa..d001e1fa04c4fc29bad6ef6cce146aac38bb7fe1

Within which the following commit seems to be related:

author	Caolán McNamara <caolanm@redhat.com>	2020-01-08 10:50:08 +0000
commit	e653a084ef8693aaf8396e8d6c7fb605f5b59f94
add a scheme to host welded toolbar dropdown windows in unwelded toolbars

Adding Caolán to cc: would you please take a look?
Comment 2 Caolán McNamara 2020-11-23 17:16:43 UTC
https://gerrit.libreoffice.org/c/core/+/106427 is certainly part of the puzzle, but not the entirety yet
Comment 3 Commit Notification 2020-11-23 20:24:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/03ce6e2e4c5435d145463e29385c0b0db841ce77

tdf#138430 toolbar bullet dropdown should have a scrolledwindow

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-11-24 09:02:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19

tdf#138430 toolbar bullet dropdown should have a scrolledwindow

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-24 12:31:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2454f3e40ea6b1a423a143e0c4ba8581b5bc65f8

tdf#138430 schedule a reformat if we turned off the scrollbar

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-11-24 12:33:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/badf34d439403cea5c7efa206f4535c5050de37c

tdf#138430 scrolled windows need to have auto scrolling disabled

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-11-24 12:56:55 UTC
looks good in master now, 7-1 and 7-0 patches in gerrit
Comment 8 Commit Notification 2020-11-24 15:47:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/72b8a3f93dfc77b336b15fe30b302edb849a2702

tdf#138430 schedule a reformat if we turned off the scrollbar

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-11-24 20:29:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d8c5bd180ede0103bd3f0c6caec05757920fc27d

tdf#138430 scrolled windows need to have auto scrolling disabled

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-11-25 13:15:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5d5f10b3fa7c59c25f1b85d909db6909548ee111

tdf#138430 toolbar bullet dropdown should have a scrolledwindow

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.